## ros2-ament-cmake 1.3.0

=== ament_cmake_auto/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(ament_cmake_auto NONE)

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_gtest REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_auto-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== ament_cmake_export_dependencies/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(ament_cmake_export_dependencies NONE)

find_package(ament_cmake_core REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_export_dependencies-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== ament_cmake_export_interfaces/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(ament_cmake_export_interfaces NONE)

find_package(ament_cmake_core REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_export_interfaces-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== ament_cmake_export_libraries/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(ament_cmake_export_libraries NONE)

find_package(ament_cmake_core REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_export_libraries-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== ament_cmake_libraries/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(ament_cmake_libraries NONE)

find_package(ament_cmake_core REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_libraries-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== ament_cmake_nose/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(ament_cmake_nose NONE)

find_package(ament_cmake_core REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_nose-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== ament_cmake_target_dependencies/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(ament_cmake_target_dependencies NONE)

find_package(ament_cmake_core REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_target_dependencies-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== debian/changelog ===
ros2-ament-cmake (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Make note that python3-nose is deprecated

 -- Timo Röhling <roehling@debian.org>  Sat, 19 Feb 2022 11:46:57 +0100

ros2-ament-cmake (1.2.1-2) unstable; urgency=medium

  * Simplify d/rules

 -- Timo Röhling <roehling@debian.org>  Tue, 18 Jan 2022 13:42:54 +0100

ros2-ament-cmake (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1

 -- Timo Röhling <roehling@debian.org>  Sat, 15 Jan 2022 14:07:54 +0100

ros2-ament-cmake (1.2.0-2) unstable; urgency=medium

  * Switch to dh-ros buildsystem

 -- Timo Röhling <roehling@debian.org>  Mon, 22 Nov 2021 14:59:50 +0100

ros2-ament-cmake (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0

 -- Timo Röhling <roehling@debian.org>  Tue, 02 Nov 2021 15:15:54 +0100

ros2-ament-cmake (1.1.4-2) unstable; urgency=medium

  * Update Vcs-* URLs
  * Simplify Googletest detection

 -- Timo Röhling <roehling@debian.org>  Mon, 11 Oct 2021 21:52:16 +0200

ros2-ament-cmake (1.1.4-1) unstable; urgency=medium

  * Initial release.

 -- Timo Röhling <roehling@debian.org>  Sun, 10 Oct 2021 18:31:49 +0200

=== debian/control ===
Source: ros2-ament-cmake
Section: devel
Priority: optional
Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>,
           Jochen Sprickerhof <jspricke@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               dh-ros (>= 0.4.0),
               dh-sequence-python3,
               libgtest-dev <!nocheck>,
               python3-ament-package,
               python3-catkin-pkg,
               python3-distutils,
               python3-setuptools,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-ament-cmake
Vcs-Git: https://salsa.debian.org/robotics-team/ros2-ament-cmake.git
Rules-Requires-Root: no
Homepage: https://github.com/ament/ament_cmake

Package: ament-cmake
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ament-cmake-core,
         ament-cmake-python,
         python3-ament-cmake-test,
Description: CMake build system for ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with
 CMake.
 .
 This package installs the most commonly used features of ament_cmake.

Package: ament-cmake-core
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         cmake,
         python3-ament-package,
         python3-catkin-pkg,
Description: CMake build system for ROS 2 ament package (Core functionality)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with
 CMake.
 .
 This package installs the core functionality of ament_cmake.

Package: ament-cmake-googletest
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends},
         ament-cmake-core,
         libgmock-dev,
         libgtest-dev,
         python3-ament-cmake-test,
Description: CMake build system for ROS 2 ament package (Googletest extension)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with
 CMake.
 .
 This package adds support for GTest and GMock to ament_cmake.

Package: ament-cmake-python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ament-cmake-core,
Description: CMake build system for ROS 2 ament package (Python extension)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with
 CMake.
 .
 This package adds Python support to ament_cmake.

Package: ament-cmake-nose
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ament-cmake-core,
         python3-ament-cmake-test,
         python3-nose,
Description: CMake build system for ROS 2 ament package (Legacy nosetests extension)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with
 CMake.
 .
 This package adds support for the deprecated Python Nosetests to ament_cmake.

Package: ament-cmake-pytest
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ament-cmake-core,
         python3-ament-cmake-test,
         python3-pytest,
Description: CMake build system for ROS 2 ament package (Pytest extension)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with
 CMake.
 .
 This package adds support for Pytest to ament_cmake.

Package: python3-ament-cmake-test
Section: python
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends},
         ${misc:Depends},
         ament-cmake-core,
         ament-cmake-python,
Description: Python 3 module for tests in ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with
 CMake.
 .
 This package adds support for unit tests to ament_cmake.

Package: python3-ament-cmake-google-benchmark
Section: python
Architecture: any
Multi-Arch: allowed
Depends: ${python3:Depends},
         ${misc:Depends},
         ament-cmake-core,
         ament-cmake-python,
         libbenchmark-dev,
Description: Python 3 module for Google Benchmark in ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with
 CMake.
 .
 This package adds support for Google Benchmark to ament_cmake.

## ros2-ament-cmake 1.5.0

=== debian/changelog ===
ros2-ament-cmake (1.5.0-2) unstable; urgency=medium

  * Support new target export template introduced with CMake 3.24

 -- Timo Röhling <roehling@debian.org>  Fri, 05 Aug 2022 11:45:20 +0200

ros2-ament-cmake (1.5.0-1) unstable; urgency=medium

  [ Timo Röhling ]
  * Bump Standards-Version to 4.6.1

  [ Jochen Sprickerhof ]
  * New upstream version 1.5.0
  * Drop versioned depends
  * Update d/copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 13 Jul 2022 08:05:10 +0200

ros2-ament-cmake (1.4.0-7) unstable; urgency=medium

  * Add autopkgtest suite

 -- Timo Röhling <roehling@debian.org>  Thu, 26 May 2022 16:56:25 +0200

ros2-ament-cmake (1.4.0-6) unstable; urgency=medium

  * Fix import prefix logic to use per-package variable

 -- Timo Röhling <roehling@debian.org>  Thu, 12 May 2022 23:27:48 +0200

ros2-ament-cmake (1.4.0-5) unstable; urgency=medium

  * Fix hardcoded assumptions about CMake config location
  * Do not create environment marker files if package
    environment generation is disabled

 -- Timo Röhling <roehling@debian.org>  Tue, 10 May 2022 21:02:16 +0200

ros2-ament-cmake (1.4.0-4) unstable; urgency=medium

  * Add missing ament-cmake-python dependency on setuptools

 -- Timo Röhling <roehling@debian.org>  Tue, 10 May 2022 00:14:04 +0200

ros2-ament-cmake (1.4.0-3) unstable; urgency=medium

  * Add /usr as implicit AMENT_PREFIX_PATH
  * Document Debian-specific tweaks in README.Debian

 -- Timo Röhling <roehling@debian.org>  Fri, 06 May 2022 15:21:24 +0200

ros2-ament-cmake (1.4.0-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Add upstream source

  [ Timo Röhling ]
  * Add override for CMake config destination to ament_package()

 -- Timo Röhling <roehling@debian.org>  Fri, 06 May 2022 12:14:38 +0200

ros2-ament-cmake (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0

 -- Timo Röhling <roehling@debian.org>  Mon, 02 May 2022 10:03:25 +0200

ros2-ament-cmake (1.3.1-2) unstable; urgency=medium

  * Bump dh-ros dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 31 Mar 2022 19:02:27 +0200

ros2-ament-cmake (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 31 Mar 2022 11:20:45 +0200

## ros2-ament-cmake 1.5.2

=== ament_cmake_core/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(ament_cmake_core NONE)

# include some CMake functions of this package
set(ament_cmake_core_DIR "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
include("ament_cmake_core-extras.cmake" NO_POLICY_SCOPE)
include("ament_cmake_environment-extras.cmake" NO_POLICY_SCOPE)
include("ament_cmake_environment_hooks-extras.cmake" NO_POLICY_SCOPE)
include("ament_cmake_index-extras.cmake" NO_POLICY_SCOPE)
include("ament_cmake_uninstall_target-extras.cmake" NO_POLICY_SCOPE)
# must be after uninstall_target
include("ament_cmake_symlink_install-extras.cmake" NO_POLICY_SCOPE)

ament_package_xml()

message(STATUS "ament_cmake_core ${ament_cmake_core_VERSION}")

include("ament_cmake_package_templates-extras.cmake" NO_POLICY_SCOPE)

ament_package(
  CONFIG_EXTRAS
  "ament_cmake_core-extras.cmake"
  "ament_cmake_environment-extras.cmake"
  "ament_cmake_environment_hooks-extras.cmake"
  "ament_cmake_index-extras.cmake"
  "ament_cmake_package_templates-extras.cmake"
  "ament_cmake_uninstall_target-extras.cmake"
  "ament_cmake_symlink_install-extras.cmake"  # must be after uninstall_target
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== ament_cmake_export_definitions/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(ament_cmake_export_definitions NONE)

find_package(ament_cmake_core REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_export_definitions-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== ament_cmake_export_include_directories/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(ament_cmake_export_include_directories NONE)

find_package(ament_cmake_core REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_export_include_directories-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== ament_cmake_gen_version_h/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ament_cmake_gen_version_h)
find_package(ament_cmake_core REQUIRED)

# GTest needs it, Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()
# GTest needs it, Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

include(CTest)
if(BUILD_TESTING)
  # Simulate pre-installed package
  set(ament_cmake_gen_version_h_DIR ${CMAKE_SOURCE_DIR}/cmake)
  include(cmake/ament_cmake_gen_version_h.cmake)
  include(cmake/ament_generate_version_header.cmake)
  find_package(ament_cmake_gtest REQUIRED)

  if(DEFINED CMAKE_WARN_DEPRECATED)
    set(old_deprecation_value ${CMAKE_WARN_DEPRECATED})
  endif()
  set(CMAKE_WARN_DEPRECATED OFF CACHE BOOL "" FORCE)

  # Generate version headers using different scenarios
  ament_cmake_gen_version_h(NO_INSTALL)
  ament_cmake_gen_version_h(NO_INSTALL VERSION_FILE_NAME "version1.h")
  ament_cmake_gen_version_h(NO_INSTALL INCLUDE_DIR ${CMAKE_CURRENT_BINARY_DIR}/include VERSION_FILE_NAME "version2.h")
  ament_cmake_gen_version_h(
    NO_INSTALL TRUE
    INCLUDE_DIR ${CMAKE_CURRENT_BINARY_DIR}/include
    VERSION_FILE_NAME "version_custom.h"
    VERSION_MAJOR 1
    VERSION_MINOR 2
    VERSION_PATCH 3
  )
  if(old_deprecation_value)
    set(CMAKE_WARN_DEPRECATED ${old_deprecation_value} CACHE BOOL "" FORCE)
  else()
    unset(CMAKE_WARN_DEPRECATED CACHE)
  endif()

  ament_add_gtest(test_${PROJECT_NAME}
    test/test_version_custom.cpp
    test/test_version_h.cpp
    test/test_version1_h.cpp
    test/test_version2_h.cpp
  )

  # Generate version headers that don't conflict with existing tests
  add_library(some_lib INTERFACE)
  ament_generate_version_header(some_lib SKIP_INSTALL
    HEADER_PATH "ament_generate_version_header/version.hpp")
  ament_add_gtest(test_ament_generate_version_header
    test/test_version_hpp.cpp
  )
  target_link_libraries(test_ament_generate_version_header some_lib)
endif()

ament_package(CONFIG_EXTRAS "ament_cmake_gen_version_h-extras.cmake")

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== ament_cmake_pytest/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(ament_cmake_pytest NONE)

find_package(ament_cmake_core REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_pytest-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== debian/changelog ===
ros2-ament-cmake (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2

 -- Timo Röhling <roehling@debian.org>  Sat, 05 Nov 2022 12:50:35 +0100

ros2-ament-cmake (1.5.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Timo Röhling ]
  * Increase default test timeout to 600 seconds

 -- Timo Röhling <roehling@debian.org>  Sun, 16 Oct 2022 19:37:43 +0200

ros2-ament-cmake (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * Drop upstreamed patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 14 Sep 2022 17:00:17 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
            Jochen Sprickerhof <jspricke@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               dh-ros (>= 0.4.0),
+               dh-ros,
                dh-sequence-python3,
                libgtest-dev <!nocheck>,
                python3-ament-package,
                python3-catkin-pkg,
                python3-distutils,
                python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-ament-cmake
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-ament-cmake.git
 Rules-Requires-Root: no
@@ -67,6 +67,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ament-cmake-core,
+         python3-setuptools,
 Description: CMake build system for ROS 2 ament package (Python extension)
  The ament build system is the most common way to build packages for ROS 2.
  ament_cmake provides the necessary tooling to build ament packages with

=== debian/tests/control ===
Tests: build
Depends:
 ament-cmake,
 build-essential,
 cmake,
 debhelper-compat (= 13),
 dh-ros,
Restrictions: allow-stderr

=== debian/tests/packages/debian/control ===
Source: ament-cmake-autopkgtest-dummy
Section: devel
Priority: optional
Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ament-cmake,
 cmake,
Standards-Version: 4.6.1
Rules-Requires-Root: no

Package: ament-cmake-autopkgtest-dummy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Dummy package to test ament-cmake
 This is not a real package and you should never install it.

## ros2-ament-cmake 2.2.1

=== debian/changelog ===
ros2-ament-cmake (2.2.1-2) unstable; urgency=medium

  * Respect DEB_PYTHON_INSTALL_LAYOUT

 -- Timo Röhling <roehling@debian.org>  Fri, 28 Jul 2023 00:31:35 +0200

ros2-ament-cmake (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1

 -- Timo Röhling <roehling@debian.org>  Thu, 22 Jun 2023 23:05:06 +0200

ros2-ament-cmake (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * Refresh patches
    - Drop upstreamed patch for Debian specific Python install dir
  * Fix .install paths for Python 3 packages
  * Stop shipping ament-cmake-nose (dropped by upstream)

 -- Timo Röhling <roehling@debian.org>  Wed, 14 Jun 2023 00:27:36 +0200

ros2-ament-cmake (1.5.2-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Drop unused build dependency

  [ Timo Röhling ]
  * Use Debian-specific Python install dir in ament_cmake_python
  * Bump Standards-Version to 4.6.2
  * Add test package for ament_cmake_python
  * Mark patches as Debian-specific

 -- Timo Röhling <roehling@debian.org>  Wed, 01 Mar 2023 11:55:18 +0100

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,8 @@
                libgtest-dev <!nocheck>,
                python3-ament-package,
                python3-catkin-pkg,
-               python3-distutils,
                python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-ament-cmake
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-ament-cmake.git
 Rules-Requires-Root: no
@@ -40,7 +39,7 @@
          cmake,
          python3-ament-package,
          python3-catkin-pkg,
-Description: CMake build system for ROS 2 ament package (Core functionality)
+Description: CMake build system for ROS 2 ament packages (Core functionality)
  The ament build system is the most common way to build packages for ROS 2.
  ament_cmake provides the necessary tooling to build ament packages with
  CMake.
@@ -55,7 +54,7 @@
          libgmock-dev,
          libgtest-dev,
          python3-ament-cmake-test,
-Description: CMake build system for ROS 2 ament package (Googletest extension)
+Description: CMake build system for ROS 2 ament packages (Googletest extension)
  The ament build system is the most common way to build packages for ROS 2.
  ament_cmake provides the necessary tooling to build ament packages with
  CMake.
@@ -68,26 +67,12 @@
 Depends: ${misc:Depends},
          ament-cmake-core,
          python3-setuptools,
-Description: CMake build system for ROS 2 ament package (Python extension)
+Description: CMake build system for ROS 2 ament packages (Python extension)
  The ament build system is the most common way to build packages for ROS 2.
  ament_cmake provides the necessary tooling to build ament packages with
  CMake.
  .
  This package adds Python support to ament_cmake.
-
-Package: ament-cmake-nose
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ament-cmake-core,
-         python3-ament-cmake-test,
-         python3-nose,
-Description: CMake build system for ROS 2 ament package (Legacy nosetests extension)
- The ament build system is the most common way to build packages for ROS 2.
- ament_cmake provides the necessary tooling to build ament packages with
- CMake.
- .
- This package adds support for the deprecated Python Nosetests to ament_cmake.
 
 Package: ament-cmake-pytest
 Architecture: all
@@ -96,7 +81,7 @@
          ament-cmake-core,
          python3-ament-cmake-test,
          python3-pytest,
-Description: CMake build system for ROS 2 ament package (Pytest extension)
+Description: CMake build system for ROS 2 ament packages (Pytest extension)
  The ament build system is the most common way to build packages for ROS 2.
  ament_cmake provides the necessary tooling to build ament packages with
  CMake.

## ros2-ament-cmake 2.3.2

=== debian/changelog ===
ros2-ament-cmake (2.3.2-2) unstable; urgency=medium

  * Update patch for DEB_PYTHON_INSTALL_LAYOUT to match upstream version

 -- Timo Röhling <roehling@debian.org>  Thu, 22 Feb 2024 08:33:00 +0100

ros2-ament-cmake (2.3.2-1) unstable; urgency=medium

  * New upstream version 2.3.2
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 02 Jan 2024 21:16:23 +0100

ros2-ament-cmake (2.3.1-2) unstable; urgency=medium

  * Handle DEB_PYTHON_INSTALL_LAYOUT as colcon does

 -- Timo Röhling <roehling@debian.org>  Sat, 11 Nov 2023 22:44:51 +0100

ros2-ament-cmake (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1

 -- Timo Röhling <roehling@debian.org>  Fri, 10 Nov 2023 22:56:13 +0100

ros2-ament-cmake (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0

 -- Timo Röhling <roehling@debian.org>  Fri, 08 Sep 2023 13:15:17 +0200

ros2-ament-cmake (2.2.2-1) unstable; urgency=medium

  * New upstream version 2.2.2

 -- Timo Röhling <roehling@debian.org>  Sun, 27 Aug 2023 00:19:08 +0200

## ros2-ament-cmake 2.7.1

=== ament_cmake_libraries/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,11 @@
   CONFIG_EXTRAS "ament_cmake_libraries-extras.cmake"
 )
 
+include(CTest)
+if(BUILD_TESTING)
+  add_subdirectory(test)
+endif()
+
 install(
   DIRECTORY cmake
   DESTINATION share/${PROJECT_NAME}

=== debian/changelog ===
ros2-ament-cmake (2.7.1-1) unstable; urgency=medium

  * Update d/watch to latest GitHub recipe
  * New upstream version 2.7.1
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Sun, 06 Oct 2024 23:46:44 +0200

ros2-ament-cmake (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0

 -- Timo Röhling <roehling@debian.org>  Mon, 01 Jul 2024 16:18:26 +0200

ros2-ament-cmake (2.6.1-1) unstable; urgency=medium

  * New upstream version 2.6.1

 -- Timo Röhling <roehling@debian.org>  Thu, 20 Jun 2024 09:16:50 +0200

ros2-ament-cmake (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
  * Reformat d/control
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Mon, 29 Apr 2024 00:13:40 +0200

ros2-ament-cmake (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0

 -- Timo Röhling <roehling@debian.org>  Fri, 19 Apr 2024 23:53:56 +0200

ros2-ament-cmake (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 02 Apr 2024 22:43:12 +0200

## ros2-ament-cmake 2.7.2

=== ament_cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(ament_cmake NONE)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_export_dependencies REQUIRED)

ament_export_dependencies(
  "ament_cmake_core"
  "ament_cmake_export_definitions"
  "ament_cmake_export_dependencies"
  "ament_cmake_export_include_directories"
  "ament_cmake_export_interfaces"
  "ament_cmake_export_libraries"
  "ament_cmake_export_link_flags"
  "ament_cmake_export_targets"
  "ament_cmake_gen_version_h"
  "ament_cmake_libraries"
  "ament_cmake_python"
  "ament_cmake_target_dependencies"
  "ament_cmake_test"
  "ament_cmake_version"
)

ament_package()

=== ament_cmake_auto/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 project(ament_cmake_auto NONE)
 
 find_package(ament_cmake REQUIRED)
+find_package(ament_cmake_gmock REQUIRED)
 find_package(ament_cmake_gtest REQUIRED)
 
 ament_package(

=== ament_cmake_export_link_flags/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(ament_cmake_export_link_flags NONE)

find_package(ament_cmake_core REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_export_link_flags-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== ament_cmake_gen_version_h/CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,10 @@
 if(NOT CMAKE_C_STANDARD)
   set(CMAKE_C_STANDARD 11)
 endif()
-# GTest needs it, Default to C++14
+# GTest needs it, Default to C++17
 if(NOT CMAKE_CXX_STANDARD)
-  set(CMAKE_CXX_STANDARD 14)
+  set(CMAKE_CXX_STANDARD 17)
+  set(CMAKE_CXX_STANDARD_REQUIRED ON)
 endif()
 
 include(CTest)

=== ament_cmake_vendor_package/test/exlib_bad/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)
project(exlib)

if(NOT DEFINED BUILD_SHARED_LIBS)
  set(BUILD_SHARED_LIBS ON)
endif()

add_library(exlib src/exlib.c)
target_include_directories(exlib PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
)
target_compile_definitions(exlib
  PRIVATE "EXLIB_BUILDING_LIBRARY")
install(TARGETS exlib EXPORT exlibTargets
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)
install(DIRECTORY include/ DESTINATION include)

install(EXPORT exlibTargets
  FILE exlibTargets.cmake
  DESTINATION lib/cmake/exlib)
include(CMakePackageConfigHelpers)
configure_package_config_file(exlibConfig.cmake.in
  "${CMAKE_CURRENT_BINARY_DIR}/exlibConfig.cmake"
  INSTALL_DESTINATION lib/cmake/exlib
  NO_SET_AND_CHECK_MACRO
  NO_CHECK_REQUIRED_COMPONENTS_MACRO)
install(
  FILES "${CMAKE_CURRENT_BINARY_DIR}/exlibConfig.cmake"
  DESTINATION lib/cmake/exlib)

=== debian/changelog ===
ros2-ament-cmake (2.7.2-2) unstable; urgency=medium

  * Add missing cross build dependency.
    Thanks to Helmut Grohne (Closes: #1103023)
  * Bump Standards-Version to 4.7.2
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Sun, 13 Apr 2025 22:30:03 +0200

ros2-ament-cmake (2.7.2-1) unstable; urgency=medium

  * New upstream version 2.7.2

 -- Timo Röhling <roehling@debian.org>  Sat, 23 Nov 2024 23:05:59 +0100

=== debian/tests/control ===
Tests:
 build,
Depends:
 debhelper-compat (= 13),
 dh-ros,
 ament-cmake,
 build-essential,
 cmake,
Restrictions:
 allow-stderr,

=== debian/tests/packages/debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 13),
  ament-cmake,
  cmake,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 
 Package: ament-cmake-autopkgtest-dummy

## ros2-ament-cmake 2.8.4

=== ament_cmake/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,6 @@
   "ament_cmake_export_definitions"
   "ament_cmake_export_dependencies"
   "ament_cmake_export_include_directories"
-  "ament_cmake_export_interfaces"
   "ament_cmake_export_libraries"
   "ament_cmake_export_link_flags"
   "ament_cmake_export_targets"

=== ament_cmake_export_targets/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(ament_cmake_export_targets NONE)

find_package(ament_cmake_core REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_export_targets-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== ament_cmake_gen_version_h/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.20)
project(ament_cmake_gen_version_h)
find_package(ament_cmake_core REQUIRED)

# GTest needs it, Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()
# GTest needs it, Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

include(CTest)
if(BUILD_TESTING)
  # Simulate pre-installed package
  set(ament_cmake_gen_version_h_DIR ${CMAKE_SOURCE_DIR}/cmake)
  include(cmake/ament_generate_version_header.cmake)
  find_package(ament_cmake_gtest REQUIRED)

  # Generate version headers that don't conflict with existing tests
  add_library(some_lib INTERFACE)
  ament_generate_version_header(some_lib SKIP_INSTALL
    HEADER_PATH "ament_generate_version_header/version.hpp")
  ament_add_gtest(test_ament_generate_version_header
    test/test_version_hpp.cpp
  )
  target_link_libraries(test_ament_generate_version_header some_lib)
endif()

ament_package(CONFIG_EXTRAS "ament_cmake_gen_version_h-extras.cmake")

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== ament_cmake_gmock/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(ament_cmake_gmock NONE)

find_package(ament_cmake_core REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_gmock-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== ament_cmake_google_benchmark/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project(ament_cmake_google_benchmark NONE)

# find dependencies
find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_export_dependencies REQUIRED)
find_package(ament_cmake_python REQUIRED)

ament_python_install_package(${PROJECT_NAME})

ament_export_dependencies(ament_cmake_test)

ament_package(
  CONFIG_EXTRAS "${PROJECT_NAME}-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== ament_cmake_gtest/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(ament_cmake_gtest NONE)

find_package(ament_cmake_core REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_gtest-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== ament_cmake_include_directories/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(ament_cmake_include_directories NONE)

find_package(ament_cmake_core REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_include_directories-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== ament_cmake_pytest/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,63 @@
 project(ament_cmake_pytest NONE)
 
 find_package(ament_cmake_core REQUIRED)
+
+# Even though we theoretically only need this as a test dependency, we
+# have to find it *before* the if(BUILD_TESTING) check since ament_cmake_test
+# is the package that defines that option.
+find_package(ament_cmake_test REQUIRED)
+
+if(BUILD_TESTING)
+  # The test we are enabling below is to test that the code in ament_cmake_test can handle
+  # non-unicode prints on the console. Ideally we would put the test in that package,
+  # but we can't actually use ament_add_test() from within its own package so
+  # we put it here instead. For similar reasons, we don't use ament_add_pytest_test() below since
+  # it is defined in *this* package.
+
+  get_executable_path(python_interpreter Python3::Interpreter CONFIGURE)
+
+  # Check if pytest is available
+  set(check_pytest_cmd "${python_interpreter}" "-m" "pytest" "--version")
+  set(SKIP_TEST_ARG "")
+  execute_process(
+    COMMAND ${check_pytest_cmd}
+    RESULT_VARIABLE res
+    OUTPUT_VARIABLE output
+    ERROR_VARIABLE error)
+  if(NOT res EQUAL 0)
+    message(WARNING
+      "The Python module 'pytest' was not found, pytests cannot be run. "
+      "On Linux, install the 'python3-pytest' package. "
+      "On other platforms, install 'pytest' using pip.")
+    set(SKIP_TEST_ARG SKIP_TEST)
+  endif()
+
+  set(result_file "${AMENT_TEST_RESULTS_DIR}/${PROJECT_NAME}/pytest.xunit.xml")
+  set(cmd
+    "${python_interpreter}"
+    "-u"  # unbuffered stdout and stderr
+    "-m" "pytest"
+    "${CMAKE_CURRENT_SOURCE_DIR}/test"
+    # store last failed tests
+    "-o" "cache_dir=${CMAKE_CURRENT_BINARY_DIR}/ament_cmake_pytest/pytest/.cache"
+    "-s"
+    # junit arguments
+    "--junit-xml=${result_file}"
+    "--junit-prefix=${PROJECT_NAME}"
+  )
+  ament_add_test(
+    pytest
+    COMMAND ${cmd}
+    OUTPUT_FILE "${CMAKE_BINARY_DIR}/ament_cmake_pytest/pytest.txt"
+    RESULT_FILE "${result_file}"
+    ${SKIP_TEST_ARG}
+  )
+  set_tests_properties(
+    pytest
+    PROPERTIES
+    LABELS "pytest"
+  )
+endif()
 
 ament_package(
   CONFIG_EXTRAS "ament_cmake_pytest-extras.cmake"

=== ament_cmake_python/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(ament_cmake_python NONE)

find_package(ament_cmake_core REQUIRED)

ament_package(
  CONFIG_EXTRAS "ament_cmake_python-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== ament_cmake_test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(ament_cmake_test NONE)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_python REQUIRED)

ament_python_install_package(${PROJECT_NAME})

ament_package(
  CONFIG_EXTRAS "ament_cmake_test-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== ament_cmake_vendor_package/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)
project(ament_cmake_vendor_package NONE)

find_package(ament_cmake_core REQUIRED)
find_package(ament_cmake_export_dependencies REQUIRED)

ament_export_dependencies(
  ament_cmake_core
)

ament_package(
  CONFIG_EXTRAS "ament_cmake_vendor_package-extras.cmake"
)

include(CTest)
if(BUILD_TESTING)
  add_subdirectory(test)
endif()

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== ament_cmake_vendor_package/test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)
project(ament_cmake_vendor_package_test)

find_package(ament_cmake_test REQUIRED)

set(_${PROJECT_NAME}_AMENT_GENERATE_PACKAGE_ENVIRONMENT FALSE)

set(ament_cmake_vendor_package_DIR "${CMAKE_CURRENT_LIST_DIR}/../cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../ament_cmake_vendor_package-extras.cmake")

ament_vendor(exlib_bad
  VCS_URL exlib_bad
  VCS_TYPE path
  SKIP_INSTALL
)

ament_vendor(exlib_good
  VCS_URL exlib_good
  VCS_TYPE path
  SKIP_INSTALL
)

ament_vendor(depender
  VCS_URL depender
  VCS_TYPE path
  SKIP_INSTALL
)

externalproject_add_stepdependencies(depender configure exlib_bad exlib_good)

if(WIN32)
  set(INSTALL_LIBDIR bin)
else()
  set(INSTALL_LIBDIR lib)
endif()

externalproject_get_property(exlib_bad INSTALL_DIR)
set(exlib_bad_LIBDIR "${INSTALL_DIR}/${INSTALL_LIBDIR}")
externalproject_get_property(exlib_good INSTALL_DIR)
set(exlib_good_LIBDIR "${INSTALL_DIR}/${INSTALL_LIBDIR}")
externalproject_get_property(depender INSTALL_DIR)
set(depender_BINDIR "${INSTALL_DIR}/bin")

ament_add_test(layering_good
  COMMAND "${depender_BINDIR}/depender"
  GENERATE_RESULT_FOR_RETURN_CODE_ZERO
  APPEND_LIBRARY_DIRS "${exlib_good_LIBDIR}" "${exlib_bad_LIBDIR}")

ament_add_test(layering_bad
  COMMAND "${depender_BINDIR}/depender" "should-fail"
  GENERATE_RESULT_FOR_RETURN_CODE_ZERO
  APPEND_LIBRARY_DIRS "${exlib_bad_LIBDIR}" "${exlib_good_LIBDIR}")

=== debian/changelog ===
ros2-ament-cmake (2.8.4-1) unstable; urgency=medium

  * New upstream version 2.8.4
  * Refresh patches (no functional changes)
  * ament_cmake_export_interfaces no longer exists

 -- Timo Röhling <roehling@debian.org>  Thu, 21 Aug 2025 12:01:32 +0200

=== debian/tests/packages/debian/changelog ===
ament-cmake-autopkgtest-dummy (0) unstable; urgency=low

  * Dummy package

 -- Timo Röhling <roehling@debian.org>  Mon, 23 May 2022 00:00:00 +0000

=== debian/control ===
Source: ros2-ament-cmake
Section: devel
Priority: optional
Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
Uploaders:
 Timo Röhling <roehling@debian.org>,
 Jochen Sprickerhof <jspricke@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-ros,
 dh-sequence-python3,
 cmake,
 libgtest-dev <!nocheck>,
 libpython3-dev,
 python3-ament-package,
 python3-catkin-pkg,
 python3-setuptools,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-ament-cmake
Vcs-Git: https://salsa.debian.org/robotics-team/ros2-ament-cmake.git
Rules-Requires-Root: no
Homepage: https://github.com/ament/ament_cmake
Description: CMake build system for ROS 2 ament packages
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with
 CMake.

Package: ament-cmake
Architecture: all
Multi-Arch: foreign
Depends:
 ament-cmake-core,
 ament-cmake-python,
 python3-ament-cmake-test,
 ${misc:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package installs the most commonly used features of ament_cmake.

Package: ament-cmake-core
Architecture: all
Multi-Arch: foreign
Depends:
 cmake,
 python3-ament-package,
 python3-catkin-pkg,
 ${misc:Depends},
Description: ${source:Synopsis} (Core functionality)
 ${source:Extended-Description}
 .
 This package installs the core functionality of ament_cmake.

Package: ament-cmake-googletest
Architecture: any
Multi-Arch: allowed
Depends:
 ament-cmake-core,
 libgmock-dev,
 libgtest-dev,
 python3-ament-cmake-test,
 ${misc:Depends},
Description: ${source:Synopsis} (Googletest extension)
 ${source:Extended-Description}
 .
 This package adds support for GTest and GMock to ament_cmake.

Package: ament-cmake-pytest
Architecture: all
Multi-Arch: foreign
Depends:
 ament-cmake-core,
 python3-ament-cmake-test,
 python3-pytest,
 ${misc:Depends},
Description: ${source:Synopsis} (Pytest extension)
 ${source:Extended-Description}
 .
 This package adds support for Pytest to ament_cmake.

Package: ament-cmake-python
Architecture: all
Multi-Arch: foreign
Depends:
 ament-cmake-core,
 python3-setuptools,
 ${misc:Depends},
Description: ${source:Synopsis} (Python extension)
 ${source:Extended-Description}
 .
 This package adds Python support to ament_cmake.

Package: python3-ament-cmake-google-benchmark
Section: python
Architecture: any
Multi-Arch: allowed
Depends:
 ament-cmake-core,
 ament-cmake-python,
 libbenchmark-dev,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 module for Google Benchmark in ROS 2 ament packages
 ${source:Extended-Description}
 .
 This package adds support for Google Benchmark to ament_cmake.

Package: python3-ament-cmake-test
Section: python
Architecture: all
Multi-Arch: foreign
Depends:
 ament-cmake-core,
 ament-cmake-python,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 module for tests in ROS 2 ament packages
 ${source:Extended-Description}
 .
 This package adds support for unit tests to ament_cmake.

=== debian/tests/packages/debian/rules ===
#!/usr/bin/make -f

export ROS_CONFIGURE_AMENT_CMAKE_ARGS = -DBUILD_SHARED_LIBS=ON

%:
	dh $@ --buildsystem=ros

=== debian/watch ===
version=4
opts=\
 filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
 downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
 searchmode=plain \
 https://api.github.com/repos/ament/ament_cmake/git/matching-refs/tags/ \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@

## ros2-ament-cmake 2.8.6

=== debian/changelog ===
ros2-ament-cmake (2.8.6-2) unstable; urgency=medium

  * Fix autopkgtest regression due to ament_target_dependencies()
    (Closes: #1129589)

 -- Timo Röhling <roehling@debian.org>  Tue, 03 Mar 2026 18:19:44 +0100

ros2-ament-cmake (2.8.6-1) unstable; urgency=medium

  * New upstream version 2.8.6
  * Refresh patches (no functional changes)
  * Bump Standards-Version to 4.7.3
  * Migrate debian/watch to version 5 format

 -- Timo Röhling <roehling@debian.org>  Mon, 02 Mar 2026 21:12:51 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-ament-package,
  python3-catkin-pkg,
  python3-setuptools,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-ament-cmake
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-ament-cmake.git
 Rules-Requires-Root: no
